CONDOR_TRANSFER_DATA(1)

NAME
condor_transfer_data - HTCondor Manual

Transfer spooled data for jobs submitted with the -spool option.

SYNOPSIS

condor_transfer_data [-help | -version]

condor_transfer_data [-pool hostname[:portnumber] | -name scheddname | -addr "<a.b.c.d:port>"] [cluster... | cluster.proc... | user... | -constraint expression | -all]

DESCRIPTION

condor_transfer_data causes HTCondor to transfer spooled data. It is meant to be used in conjunction with the -spool option of condor_submit <href="../man-pages/condor_submit.html">, as in

            $ condor_submit -spool mysubmitfile

Submission of a job with the -spool option causes HTCondor to spool all input files, the job event log, and any proxy across a connection to the machine where the condor_schedd daemon is running. After spooling these files, the machine from which the job is submitted may disconnect from the network or modify its local copies of the spooled files.

When the job finishes, the job has JobStatus <href="../classad-attributes/job-classad-attributes.html#JobStatus"> = 4, meaning that the job has completed. The output of the job is spooled, and condor_transfer_data retrieves the output of the completed job.

OPTIONS

            -help
                Display usage information.

            -version
                Display version information.

            -pool hostname[:portnumber]
                Specify a pool by giving the central manager's host name and an optional port number.

            -name scheddname
                Send the command to a machine identified by scheddname.

            -addr "<a.b.c.d:port>"
                Send the command to a machine located at "<a.b.c.d:port>".

            cluster
                Transfer spooled data belonging to the specified cluster.

            cluster.proc
                Transfer spooled data belonging to a specific job in the cluster.

            user
                Transfer spooled data belonging to the specified user.

            -constraint expression
                Transfer spooled data for jobs which match the job ClassAd expression constraint.

            -all
                Transfer all spooled data.

EXAMPLES

Transfer output for all jobs in cluster 123:

            $ condor_transfer_data 123

Transfer output for a specific job:

            $ condor_transfer_data 123.4

Transfer output for all jobs belonging to user alice:

            $ condor_transfer_data alice

Transfer output for all completed spooled jobs:

            $ condor_transfer_data -all

EXIT STATUS

0 - Success

1 - Failure

SEE ALSO

condor_submit <href="../man-pages/condor_submit.html">, condor_q <href="../man-pages/condor_q.html">, condor_tail <href="../man-pages/condor_tail.html">

AVAILABILITY

Linux, MacOS, Windows

Author
HTCondor Team

Copyright
1990-2026, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.